#pragma once

#define PROJECT_NAME            "@PROJECT_NAME@"
#define PROJECT_VERSION         "@PROJECT_VERSION@"
#define PROJECT_VERSION_MAJOR   @PROJECT_VERSION_MAJOR@
#define PROJECT_VERSION_MINOR   @PROJECT_VERSION_MINOR@
#define PROJECT_VERSION_PATCH   @PROJECT_VERSION_PATCH@

/* 如果要 Git 信息，可加以下内容 */
#define PROJECT_GIT_HASH        "@GIT_COMMIT_HASH@"
#define PROJECT_GIT_BRANCH      "@GIT_BRANCH@"
#define PROJECT_BUILD_TIME      "@BUILD_TIME@"
